const PACKAGE_NAME = "uuidconvert";
const fs = require("fs");

Editor.Panel.extend({
    style: fs.readFileSync(Editor.url(`packages://${PACKAGE_NAME}/static/style/default/index.css`), 'utf-8')
        .concat(fs.readFileSync(Editor.url(`packages://${PACKAGE_NAME}/static/style/default/bootstrap.min.css`), 'utf-8')),

    template: fs.readFileSync(
        Editor.url(`packages://${PACKAGE_NAME}/index.html`), 'utf-8'),

    $: {
        run: '#run',
        uuid: '#uuid',
        asset: '#asset',
    },

    ready() {
        this.$run.addEventListener("confirm", this.methods.run.bind(this));
    },

    methods: {
        run() {
            let uuid = "";
            // Editor.log(`$asset: ${this.$asset.value}`);
            if (!this.$uuid.value) {
                if (!this.$asset.value) {
                    Editor.error("請輸入要轉換的UUID");
                    return;
                } else {
                    uuid = this.$asset.value;
                }
            } else {
                uuid = this.$uuid.value;
            }
            Editor.Ipc.sendToMain("uuidconvert:run-click", uuid);
        },
    },

    messages: {
    }
});